com.tibco.tibems.tibemsd.security

## Class ConnectionInfoCallback

- java.lang.Object
- - com.tibco.tibems.tibemsd.security.ConnectionInfoCallback

- All Implemented Interfaces:
    javax.security.auth.callback.Callback

  Deprecated.
  as of EMS 8.1.

      @Deprecated
      public class ConnectionInfoCallback
      extends java.lang.Object
      implements javax.security.auth.callback.Callback

  To retrieve connection related information use the `ConnectionAttributes` principal retrieved from the LoginModule Subject.
  See Also:
    `ConnectionAttributes`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConnectionInfoCallback.Type` Deprecated. Enumeration of possible connection types.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionInfoCallback()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.InetAddress` | `getInetAddress()` Deprecated.
    `ConnectionInfoCallback.Type` | `getType()` Deprecated.
    `byte[]` | `getX509Data()` Deprecated.
    `boolean` | `isSSL()` Deprecated.
    `void` | `setInetAddress(java.net.InetAddress inetAddress)` Deprecated.
    `void` | `setSSL(boolean ssl)` Deprecated.
    `void` | `setType(ConnectionInfoCallback.Type type)` Deprecated.
    `void` | `setX509Data(byte[] x509)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionInfoCallback

          public ConnectionInfoCallback()

      Deprecated.

  - ### Method Detail

    - #### getInetAddress

          public java.net.InetAddress getInetAddress()

      Deprecated.
      Returns:
        the inetAddress of the remote end of the TCP connection for this client. This may or may not be the IP address of the client's network interface. NATs and other routing elements in the network may affect its value. Calling getHostName() or any of its variants may be expensive, as a reverse DNS lookup will be required.

    - #### setInetAddress

          public void setInetAddress(java.net.InetAddress inetAddress)

      Deprecated.
      Parameters:
        `inetAddress` - the inetAddress to set

    - #### isSSL

          public boolean isSSL()

      Deprecated.
      Returns:
        true if the connection is using SSL

    - #### setSSL

          public void setSSL(boolean ssl)

      Deprecated.
      Parameters:
        `ssl` - the ssl value to set

    - #### getX509Data

          public byte[] getX509Data()

      Deprecated.
      Returns:
        the x509 certificate of the remote end of the SSL connection, if one is available. This will only be set if isSSL() returns true, the remote client or server has provided a certificate, and that certificate has met the validation requirements set in this server's configuration. The bytes returned are suitable as input for the java.security.cert.Certificate.generateCertificate() method.

    - #### setX509Data

          public void setX509Data(byte[] x509)

      Deprecated.
      Parameters:
        `x509` - the x509 certificate to set

    - #### getType

          public ConnectionInfoCallback.Type getType()

      Deprecated.
      Returns:
        the type of the connection, as defined in ConnectionInfoCallback.Type above.

    - #### setType

          public void setType(ConnectionInfoCallback.Type type)

      Deprecated.
      Parameters:
        `type` - the type to set

Copyright © Cloud Software Group, Inc. All rights reserved